GRUB-INSTALL(8)

NAVN
grub-install - install GRUB to a device

OVERSIKT
grub-install [VALG...] [VALG] [INSTALLASJONSENHET]

BESKRIVELSE
Installer GRUB på lagringsenheten.

--appended-signature-size=SIZE
    Add a note segment reserving SIZE bytes for an appended signature

--compress=no|xz|gz|lzo
    komprimer GRUB-filer (valgfritt)

--disable-cli
    disabled command line interface access

--disable-shim-lock
    disable shim_lock verifier

--dtb=FIL
    bygg inn spesifikk DTB

-d, --directory=MAPPE
    use images and modules under DIR [default=/usr/lib/grub/<platform>]

--fonts=SKRIFTTYPER
    installer SKRIFTTYPER (standard=unicode)

--install-modules=MODULER
    bare installer valgte MODULER og ting de er avhengige av (standard=alle)

-k, --pubkey=FIL
    bruk valgt FIL som offentlig nøkkel for signaturkontroll

--locale-directory=DIR bruk oversettelser i valgt mappe (DIR)
    [standard=/usr/share/locale]

--locales=REGIONER
    bare installer valgte REGIONER (standard=alle)

--modules=MODULER
    last inn valgte MODULER på forhånd

--sbat=FIL
    SBAT metadata

--themes=TEMAER
    installer TEMAER (standard=starfield)

-v, --verbose
    skriv ut detaljerte meldinger

-x, --x509key=FIL
    embed FILE as an x509 certificate for appended signature checking

--allow-floppy
    la enheten starte opp i diskettmodus (standard for fdX-enheter). Dette fungerer ikke med alle BIOS-er.

--boot-directory=MAPPE
    install GRUB images under the directory DIR/grub instead of the boot/grub directory

--bootloader-id=ID
    oppstartslasterens ID. Dette valget er bare tilgjengelig på EFI og Mac.

--core-compress=xz|none|auto
    velg komprimeringsmetoden som skal brukes på kjernebildet

--disk-module=MODUL
    diskmoduler som skal brukes (biosdisk eller innebygd). Dette valget er bare tilgjengelig på BIOS-mål.

--efi-directory=MAPPE
    bruk valgt MAPPE som rot av EFI-systempartisjon.

--force
    ikke stans installasjonen selv om problemer oppstår

--force-extra-removable
    force installation to the removable media path also. This option is only available on EFI.

--force-file-id
    bruk identifikasjonsfil selv hvis UUID er tilgjengelig

--label-bgcolor=FARGE
    bruk valgt FARGE på etikett-forgrunnen

--label-color=FARGE
    bruk valgt FARGE på etikett

--label-font=FIL
    bruk valgt FIL som skrifttype på etikett

--macppc-directory=DIR bruk valgt MAPPE til PPC MAC-installasjon.

--no-bootsector
    ikke installer oppstartssektor

--no-nvram
    ikke oppdater NVRAM-variablene «boot-device» og «Boot*». Dette valget er bare tilgjengelig på EFI- og IEEE1275-mål.

--no-rs-codes
    Ikke bruk reed-solomon-koder ved innbygging av core.img. Dette valget er bare tilgjengelig på x86-BIOS-mål.

--no-uefi-secure-boot
    do not install an image usable with UEFI Secure Boot, even if the system was currently started using it. This option is only available on EFI.

--product-version=STReNG
    bruk STRENG som produktversjon

--recheck
    slett enhetskart hvis det finnes allerede

--removable
    installasjonsenheten kan fjernes. Dette valget er bare tilgjengelig for EFI.

-s, --skip-fs-probe
    ikke undersøk filsystemer på valgt ENHET

--target=MÅL
    install GRUB for TARGET platform [default=i386-pc]; available targets: arm-coreboot, arm-efi, arm-uboot, arm64-efi, i386-coreboot, i386-efi, i386-ieee1275, i386-multiboot, i386-pc, i386-qemu, i386-xen, i386-xen_pvh, ia64-efi, loongarch64-efi, mips-arc, mips-qemu_mips, mipsel-arc, mipsel-loongson, mipsel-qemu_mips, powerpc-ieee1275, riscv32-efi, riscv64-efi, sparc64-ieee1275, x86_64-efi, x86_64-xen

--uefi-secure-boot
    install an image usable with UEFI Secure Boot. This option is only available on EFI and if the grub-efi-amd64-signed package is installed.

-?, --help
    vis denne hjelpelista

--usage
    vis en kortfattet bruksanvisning

-V, --version
    skriv ut programversjon

Valg er enten obligatoriske både for fullstendige valg og tilsvarende forkortede valg.

INSTALL_DEVICE must be system device filename. grub-install copies GRUB images into boot/grub. On some platforms, it may also install GRUB into the boot sector.

RAPPORTERING AV FEIL
Rapporter feil til <bug-grub@gnu.org>.

SE OGSÅ
grub-mkconfig(8), grub-mkimage(1), grub-mkrescue(1)

Den fullstendige dokumentasjonen for grub-install opprettholdes som en Texinfo manual. Dersom info og grub-install programmene er riktig installert på ditt sted burde kommandoen

    info grub-install

gi deg tilgang til hele manualen.

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.